Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160425 - NetworkManager can't connect to WEP networks with orinoco card
Summary: NetworkManager can't connect to WEP networks with orinoco card
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 01:36 UTC by Steven Garrity
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 13:21:33 UTC


Attachments (Terms of Use)

Description Steven Garrity 2005-06-15 01:36:21 UTC
When trying to connect to secure (WEP-key) wireless networks with
NetworkManager, it tries to connect, then drops back to scanning, and this
continues indefinitely.

My orinoco card doesn't allow scanning - so I'm manually going to "Other
Wireless Networks..." and entering the ESSID and WEP key manually.

I /can/ connect to open/un-encrypted networks without any problem.

How reproducible: Every time.


Steps to Reproduce:
1. Go to "Other Wireless Networks"
2. Enter ESSID and WEP key, hit "Connect"

Actual results:
tries to connect, then goes back to "scanning" icon - never connects

Expected results:
Should connect to the specified network.

Additional info:
Here's a tail of the logs while I try this ("gibson" is the name of my laptop):

Jun 14 22:16:48 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:16:50 gibson NetworkManager: <WARNING>          (): nm_device_get_mode
 (eth2): error getting card mode.  errno = 16
Jun 14 22:16:50 gibson NetworkManager: <WARNING>          (): nm_device_set_mode
 (eth2): error setting card to Infrastructure mode.  errno = 16
Jun 14 22:16:50 gibson NetworkManager: <WARNING>          (): nm_device_set_essi
d(): error setting ESSID 'stevenet' for device eth2.  errno = 16
Jun 14 22:16:50 gibson NetworkManager: <WARNING>          (): nm_device_get_mode
 (eth2): error getting card mode.  errno = 16
Jun 14 22:16:50 gibson NetworkManager: <WARNING>          (): nm_device_get_mode
 (eth2): error getting card mode.  errno = 16
Jun 14 22:16:50 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:16:52 gibson NetworkManager: <WARNING>          (): nm_device_set_enc_
key(): error setting key for device eth2.  errno = 16
Jun 14 22:16:52 gibson NetworkManager: <WARNING>          (): nm_device_set_essi
d(): error setting ESSID 'stevenet' for device eth2.  errno = 16
Jun 14 22:16:52 gibson NetworkManager: <WARNING>          (): nm_device_get_mode
 (eth2): error getting card mode.  errno = 16
Jun 14 22:16:53 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:16:59 gibson NetworkManager: <WARNING>          (): nm_device_set_enc_
key(): error setting key for device eth2.  errno = 16
Jun 14 22:16:59 gibson NetworkManager: <WARNING>          (): nm_device_set_essi
d(): error setting ESSID 'stevenet' for device eth2.  errno = 16
Jun 14 22:17:00 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:17:07 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:17:08 gibson NetworkManager: <WARNING>          (): nm_device_get_mode
 (eth2): error getting card mode.  errno = 16
Jun 14 22:17:08 gibson NetworkManager: <WARNING>          (): nm_device_set_mode
 (eth2): error setting card to Infrastructure mode.  errno = 16
Jun 14 22:17:08 gibson NetworkManager: <WARNING>          (): nm_device_dhcp_req
uest(): device DHCP info exists, but it should have been cleared already.
Jun 14 22:17:08 gibson NetworkManager: dhcp_interface_init: MAC address = 00:09:
6b:3f:4d:b0
Jun 14 22:17:08 gibson NetworkManager: Broadcasting DHCP_DISCOVER
Jun 14 22:17:08 gibson NetworkManager: DHCP: Starting request loop, overall star
t_time = {1118798228s, 978534us}
Jun 14 22:17:08 gibson NetworkManager: DHCP: Request sent, waiting for reply...
Jun 14 22:17:08 gibson NetworkManager: DHCP: Got some data of length 48.
Jun 14 22:17:08 gibson NetworkManager: DHCP: Reply message was not UDP (ip_hdr->
protocol = 1, IPPROTO_UDP = 17), won't use it.
Jun 14 22:17:09 gibson kernel: eth2: New link status: Connected (0001)
Jun 14 22:17:09 gibson NetworkManager: DHCP: Got some data of length 330.
Jun 14 22:17:09 gibson NetworkManager: Server replied with 8 DHCP options:
Jun 14 22:17:09 gibson NetworkManager:  Subnet Mask (1):        255.255.255.0
Jun 14 22:17:09 gibson NetworkManager:  Router (3):     192.168.1.1
Jun 14 22:17:09 gibson NetworkManager:  Domain Server (6):      192.168.1.2
Jun 14 22:17:09 gibson NetworkManager:  Domain Server (6):      198.167.161.47
Jun 14 22:17:09 gibson NetworkManager:  Domain Name (15):       "silverorange.co m"
Jun 14 22:17:09 gibson NetworkManager:  Broadcast Address (28): 192.168.1.255
Jun 14 22:17:09 gibson NetworkManager:  Address Time (51):      43200
Jun 14 22:17:09 gibson NetworkManager:  DHCP Msg Type (53):     2
Jun 14 22:17:09 gibson NetworkManager:  DHCP Server Id (54):    192.168.1.2
Jun 14 22:17:09 gibson NetworkManager:  Your IP Address:        192.168.1.120
Jun 14 22:17:09 gibson NetworkManager:  DHCP Server Address:    192.168.1.2 (HW=
00:00:B4:93:0B:DE)
Jun 14 22:17:09 gibson NetworkManager: DHCP_OFFER received from  (192.168.1.2)
Jun 14 22:17:09 gibson NetworkManager: Broadcasting DHCP_REQUEST for 192.168.1.1 20
Jun 14 22:17:09 gibson NetworkManager: DHCP: Starting request loop, overall star
t_time = {1118798229s, 277216us}
Jun 14 22:17:09 gibson NetworkManager: DHCP: Request sent, waiting for reply...
Jun 14 22:17:09 gibson NetworkManager: DHCP: Got some data of length 330.
Jun 14 22:17:09 gibson NetworkManager: Server replied with 10 DHCP options:
Jun 14 22:17:09 gibson NetworkManager:  Subnet Mask (1):        255.255.255.0
Jun 14 22:17:09 gibson NetworkManager:  Router (3):     192.168.1.1
Jun 14 22:17:09 gibson NetworkManager:  Domain Server (6):      192.168.1.2
Jun 14 22:17:09 gibson NetworkManager:  Domain Server (6):      198.167.161.47
Jun 14 22:17:09 gibson NetworkManager:  Domain Name (15):       "silverorange.co m"
Jun 14 22:17:09 gibson NetworkManager:  Broadcast Address (28): 192.168.1.255
Jun 14 22:17:09 gibson NetworkManager:  Address Time (51):      43200
Jun 14 22:17:09 gibson NetworkManager:  DHCP Msg Type (53):     5
Jun 14 22:17:09 gibson NetworkManager:  DHCP Server Id (54):    192.168.1.2
Jun 14 22:17:09 gibson NetworkManager:  Renewal Time (58):      0
Jun 14 22:17:09 gibson NetworkManager:  Rebinding Time (59):    0
Jun 14 22:17:09 gibson NetworkManager:  Your IP Address:        192.168.1.120
Jun 14 22:17:09 gibson NetworkManager:  DHCP Server Address:    192.168.1.2 (HW=
00:00:B4:93:0B:DE)
Jun 14 22:17:09 gibson NetworkManager: DHCP_ACK received from  (192.168.1.2)
Jun 14 22:17:09 gibson NetworkManager: <WARNING>          (): Adding domain sear
ch: silverorange.com
Jun 14 22:17:09 gibson named[6955]: loading configuration from '/var/named/data/
NetworkManager-named.conf'

Comment 1 Dan Williams 2005-06-15 02:26:09 UTC
What exact model of Orinoco card do you have?  Also, what's the output of a
'uname -a' command executed in the terminal?

Comment 2 Steven Garrity 2005-06-15 02:46:26 UTC
I'm not sure what the exact modelof the orinoco card is (it's an internal
mini-pci card that lives inside my ThinkPad T30 - I could open it up and look
for a model number if necessary). The Hardware Browser calls it a "Lucent
Technologies WaveLAN/IEEE Adapter" and says it uses the "orinoco_cs" driver.

Uname gives me: 
$ uname -a
Linux gibson 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686 i686 i386
GNU/Linux

Let me know of any other information I could give that might be helpful. Thanks.

Comment 3 Steven Garrity 2005-06-17 20:44:10 UTC
This seems to be working fine for me now since todays update of networkmanager
and networkmanager-gnome (0.4-18.FC4). This bug can probably be marked as FIXED.

Comment 4 Preston Kutzner 2005-06-28 15:32:52 UTC
I am running NetworkManager-gnome v0.4-32cvs from the devel repo and am still
unable to connect to a WEP'd network, or an unencrypted network for that matter.
 I'm running on an IBM ThinkPad T30 with a built-in IBM High-Rate Wireless card
using the Intersil Prism 2.5 chipset.  I'm running the current (0.13-26)
orinoco/hermes drivers that supposedly support rfmon as well.  These are
self-compiled drivers and not the FC4 release version.  

If I "Connect to other wireless network..." then enter in the SSID and WEP key
(64-bit, don't know about 128-bit as I don't have a AP that has 128-bit
encryption), the application apparently attempts to connect, but then times-out
prompting me for a WEP key again (this time asking for a 128-bit key).  After
entering it a second time, it just times out and tells me it couldn't find the
network.  At this time, it also shuts down the wireless interface completely.

I *can* get the card to work and connect to wireless networks and encrypted
networks using the 'Desktop->System Settings->Network' application.

'uname -a' output:
Linux ein.mrichi.com 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686 i686
i386 GNU/Linux

/var/log/messages output:
Jun 28 09:17:28 ein kernel: eth1: Error -110 setting multicast list.
Jun 28 09:17:28 ein last message repeated 2 times
Jun 28 09:17:28 ein kernel: eth1: New link status: Disconnected (0002)
Jun 28 09:17:28 ein dhclient: Listening on LPF/eth0/00:09:6b:10:5b:42
Jun 28 09:17:28 ein dhclient: Sending on   LPF/eth0/00:09:6b:10:5b:42
Jun 28 09:17:28 ein dhclient: Sending on   Socket/fallback
Jun 28 09:17:28 ein dhclient: DHCPRELEASE on eth0 to 192.168.56.11 port 67
Jun 28 09:17:28 ein dhclient: send_packet: Network is unreachable
Jun 28 09:17:28 ein dhclient: send_packet: please consult README file regarding
broadcast address.
Jun 28 09:17:30 ein kernel: eth1: New link status: Connected (0001)
Jun 28 09:17:32 ein dhclient: Internet Systems Consortium DHCP Client V3.0.2
Jun 28 09:17:32 ein dhclient: Copyright 2004 Internet Systems Consortium.
Jun 28 09:17:32 ein dhclient: All rights reserved.
Jun 28 09:17:32 ein dhclient: For info, please visit
http://www.isc.org/products/DHCP
Jun 28 09:17:32 ein dhclient:
Jun 28 09:17:32 ein dhclient: Listening on LPF/eth1/00:05:3c:09:19:93
Jun 28 09:17:32 ein dhclient: Sending on   LPF/eth1/00:05:3c:09:19:93
Jun 28 09:17:32 ein dhclient: Sending on   Socket/fallback
Jun 28 09:17:34 ein dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Jun 28 09:17:38 ein dhclient: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Jun 28 09:17:49 ein dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 3
Jun 28 09:17:52 ein dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 7
Jun 28 09:17:57 ein dhclient: Internet Systems Consortium DHCP Client V3.0.2
Jun 28 09:17:57 ein dhclient: Copyright 2004 Internet Systems Consortium.
Jun 28 09:17:57 ein dhclient: All rights reserved.
Jun 28 09:17:57 ein dhclient: For info, please visit
http://www.isc.org/products/DHCP
Jun 28 09:17:57 ein dhclient:
Jun 28 09:17:57 ein dhclient: Listening on LPF/eth1/00:05:3c:09:19:93
Jun 28 09:17:57 ein dhclient: Sending on   LPF/eth1/00:05:3c:09:19:93
Jun 28 09:17:57 ein dhclient: Sending on   Socket/fallback
Jun 28 09:17:57 ein dhclient: DHCPRELEASE on eth1 to 192.168.2.1 port 67
Jun 28 09:17:57 ein dhclient: send_packet: Network is unreachable
Jun 28 09:17:57 ein dhclient: send_packet: please consult README file regarding
broadcast address.
Jun 28 09:17:57 ein kernel: eth1: New link status: Disconnected (0002)
Jun 28 09:17:57 ein kernel: eth1: New link status: Connected (0001)
Jun 28 09:18:00 ein dhclient: Internet Systems Consortium DHCP Client V3.0.2
Jun 28 09:18:00 ein dhclient: Copyright 2004 Internet Systems Consortium.
Jun 28 09:18:00 ein dhclient: All rights reserved.
Jun 28 09:18:00 ein dhclient: For info, please visit
http://www.isc.org/products/DHCP
Jun 28 09:18:00 ein dhclient:
Jun 28 09:18:00 ein dhclient: Listening on LPF/eth1/00:05:3c:09:19:93
Jun 28 09:18:00 ein dhclient: Sending on   LPF/eth1/00:05:3c:09:19:93
Jun 28 09:18:00 ein dhclient: Sending on   Socket/fallback
Jun 28 09:18:03 ein dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 5
Jun 28 09:18:08 ein dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 7
Jun 28 09:18:15 ein dhclient: DHCPDISCOVER on eth1 to 255.255.255.255 port 67
interval 12
Jun 28 09:18:25 ein dhclient: Internet Systems Consortium DHCP Client V3.0.2
Jun 28 09:18:25 ein dhclient: Copyright 2004 Internet Systems Consortium.
Jun 28 09:18:25 ein dhclient: All rights reserved.
Jun 28 09:18:25 ein dhclient: For info, please visit
http://www.isc.org/products/DHCP
Jun 28 09:18:25 ein dhclient:
Jun 28 09:18:26 ein dhclient: Listening on LPF/eth1/00:05:3c:09:19:93
Jun 28 09:18:26 ein dhclient: Sending on   LPF/eth1/00:05:3c:09:19:93
Jun 28 09:18:26 ein dhclient: Sending on   Socket/fallback
Jun 28 09:18:26 ein dhclient: DHCPRELEASE on eth1 to 192.168.2.1 port 67
Jun 28 09:18:26 ein dhclient: send_packet: Network is unreachable
Jun 28 09:18:26 ein dhclient: send_packet: please consult README file regarding
broadcast address.

lspci -v output:
02:02.0 Network controller: Intersil Corporation Prism 2.5 Wavelan chipset (rev 01)
        Subsystem: Intel Corporation Wireless 802.11b MiniPCI Adapter
        Flags: bus master, medium devsel, latency 64, IRQ 11
        Memory at f8000000 (32-bit, prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 2

If any further information is needed, please let me know.

Comment 5 John Mahowald 2005-10-06 03:16:08 UTC
Fedora kernels as of 2.6.12-1.1387_FC4 or later should have fixed orinoco
drivers,  try that.

Comment 6 John Thacker 2006-05-05 13:21:33 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.